source: projects/vine-manual-base/tags/R_0_1_2/Makefile.in @ 2800

Revision 2800, 20.5 KB checked in by yasumichi, 13 years ago (diff)

画像ディレクトリを他のパッケージに渡せるようにした。

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(srcdir)/vine-manual-base.spec.in \
37        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38        install-sh missing
39ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42        $(ACLOCAL_M4)
43am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44 configure.lineno config.status.lineno
45mkinstalldirs = $(install_sh) -d
46CONFIG_CLEAN_FILES = vine-manual-base.spec
47CONFIG_CLEAN_VPATH_FILES =
48SOURCES =
49DIST_SOURCES =
50RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
51        html-recursive info-recursive install-data-recursive \
52        install-dvi-recursive install-exec-recursive \
53        install-html-recursive install-info-recursive \
54        install-pdf-recursive install-ps-recursive install-recursive \
55        installcheck-recursive installdirs-recursive pdf-recursive \
56        ps-recursive uninstall-recursive
57RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
58  distclean-recursive maintainer-clean-recursive
59AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
60        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
61        distdir dist dist-all distcheck
62ETAGS = etags
63CTAGS = ctags
64DIST_SUBDIRS = $(SUBDIRS)
65DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
66distdir = $(PACKAGE)-$(VERSION)
67top_distdir = $(distdir)
68am__remove_distdir = \
69  { test ! -d "$(distdir)" \
70    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
71         && rm -fr "$(distdir)"; }; }
72am__relativize = \
73  dir0=`pwd`; \
74  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
75  sed_rest='s,^[^/]*/*,,'; \
76  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
77  sed_butlast='s,/*[^/]*$$,,'; \
78  while test -n "$$dir1"; do \
79    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
80    if test "$$first" != "."; then \
81      if test "$$first" = ".."; then \
82        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
83        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
84      else \
85        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
86        if test "$$first2" = "$$first"; then \
87          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
88        else \
89          dir2="../$$dir2"; \
90        fi; \
91        dir0="$$dir0"/"$$first"; \
92      fi; \
93    fi; \
94    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
95  done; \
96  reldir="$$dir2"
97GZIP_ENV = --best
98DIST_ARCHIVES = $(distdir).tar.bz2
99distuninstallcheck_listfiles = find . -type f -print
100distcleancheck_listfiles = find . -type f -print
101ACLOCAL = @ACLOCAL@
102AMTAR = @AMTAR@
103AUTOCONF = @AUTOCONF@
104AUTOHEADER = @AUTOHEADER@
105AUTOMAKE = @AUTOMAKE@
106AWK = @AWK@
107CSS = @CSS@
108CSSDIR = @CSSDIR@
109CVSDATA = @CVSDATA@
110CYGPATH_W = @CYGPATH_W@
111DEFS = @DEFS@
112ECHO_C = @ECHO_C@
113ECHO_N = @ECHO_N@
114ECHO_T = @ECHO_T@
115IMAGEDIR = @IMAGEDIR@
116INDEX = @INDEX@
117INSTALL = @INSTALL@
118INSTALL_DATA = @INSTALL_DATA@
119INSTALL_PROGRAM = @INSTALL_PROGRAM@
120INSTALL_SCRIPT = @INSTALL_SCRIPT@
121INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
122LIBOBJS = @LIBOBJS@
123LIBS = @LIBS@
124LTLIBOBJS = @LTLIBOBJS@
125MAKEINFO = @MAKEINFO@
126MKDIR_P = @MKDIR_P@
127MKTEMP = @MKTEMP@
128PACKAGE = @PACKAGE@
129PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
130PACKAGE_NAME = @PACKAGE_NAME@
131PACKAGE_STRING = @PACKAGE_STRING@
132PACKAGE_TARNAME = @PACKAGE_TARNAME@
133PACKAGE_URL = @PACKAGE_URL@
134PACKAGE_VERSION = @PACKAGE_VERSION@
135PATH_SEPARATOR = @PATH_SEPARATOR@
136SET_MAKE = @SET_MAKE@
137SHELL = @SHELL@
138STRIP = @STRIP@
139TEMPLATE = @TEMPLATE@
140VERSION = @VERSION@
141VMDIR = @VMDIR@
142abs_builddir = @abs_builddir@
143abs_srcdir = @abs_srcdir@
144abs_top_builddir = @abs_top_builddir@
145abs_top_srcdir = @abs_top_srcdir@
146am__leading_dot = @am__leading_dot@
147am__tar = @am__tar@
148am__untar = @am__untar@
149bindir = @bindir@
150build_alias = @build_alias@
151builddir = @builddir@
152datadir = @datadir@
153datarootdir = @datarootdir@
154docdir = @docdir@
155dvidir = @dvidir@
156exec_prefix = @exec_prefix@
157host_alias = @host_alias@
158htmldir = @htmldir@
159includedir = @includedir@
160infodir = @infodir@
161install_sh = @install_sh@
162libdir = @libdir@
163libexecdir = @libexecdir@
164localedir = @localedir@
165localstatedir = @localstatedir@
166mandir = @mandir@
167mkdir_p = @mkdir_p@
168oldincludedir = @oldincludedir@
169pdfdir = @pdfdir@
170prefix = @prefix@
171program_transform_name = @program_transform_name@
172psdir = @psdir@
173sbindir = @sbindir@
174sharedstatedir = @sharedstatedir@
175srcdir = @srcdir@
176sysconfdir = @sysconfdir@
177target_alias = @target_alias@
178top_build_prefix = @top_build_prefix@
179top_builddir = @top_builddir@
180top_srcdir = @top_srcdir@
181SUBDIRS = bin css data doc images
182EXTRA_DIST = vine-manual-base.spec.in
183all: all-recursive
184
185.SUFFIXES:
186am--refresh:
187        @:
188$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
189        @for dep in $?; do \
190          case '$(am__configure_deps)' in \
191            *$$dep*) \
192              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
193              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
194                && exit 0; \
195              exit 1;; \
196          esac; \
197        done; \
198        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
199        $(am__cd) $(top_srcdir) && \
200          $(AUTOMAKE) --gnu Makefile
201.PRECIOUS: Makefile
202Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
203        @case '$?' in \
204          *config.status*) \
205            echo ' $(SHELL) ./config.status'; \
206            $(SHELL) ./config.status;; \
207          *) \
208            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
209            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
210        esac;
211
212$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
213        $(SHELL) ./config.status --recheck
214
215$(top_srcdir)/configure:  $(am__configure_deps)
216        $(am__cd) $(srcdir) && $(AUTOCONF)
217$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
218        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
219$(am__aclocal_m4_deps):
220vine-manual-base.spec: $(top_builddir)/config.status $(srcdir)/vine-manual-base.spec.in
221        cd $(top_builddir) && $(SHELL) ./config.status $@
222
223# This directory's subdirectories are mostly independent; you can cd
224# into them and run `make' without going through this Makefile.
225# To change the values of `make' variables: instead of editing Makefiles,
226# (1) if the variable is set in `config.status', edit `config.status'
227#     (which will cause the Makefiles to be regenerated when you run `make');
228# (2) otherwise, pass the desired values on the `make' command line.
229$(RECURSIVE_TARGETS):
230        @fail= failcom='exit 1'; \
231        for f in x $$MAKEFLAGS; do \
232          case $$f in \
233            *=* | --[!k]*);; \
234            *k*) failcom='fail=yes';; \
235          esac; \
236        done; \
237        dot_seen=no; \
238        target=`echo $@ | sed s/-recursive//`; \
239        list='$(SUBDIRS)'; for subdir in $$list; do \
240          echo "Making $$target in $$subdir"; \
241          if test "$$subdir" = "."; then \
242            dot_seen=yes; \
243            local_target="$$target-am"; \
244          else \
245            local_target="$$target"; \
246          fi; \
247          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
248          || eval $$failcom; \
249        done; \
250        if test "$$dot_seen" = "no"; then \
251          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
252        fi; test -z "$$fail"
253
254$(RECURSIVE_CLEAN_TARGETS):
255        @fail= failcom='exit 1'; \
256        for f in x $$MAKEFLAGS; do \
257          case $$f in \
258            *=* | --[!k]*);; \
259            *k*) failcom='fail=yes';; \
260          esac; \
261        done; \
262        dot_seen=no; \
263        case "$@" in \
264          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
265          *) list='$(SUBDIRS)' ;; \
266        esac; \
267        rev=''; for subdir in $$list; do \
268          if test "$$subdir" = "."; then :; else \
269            rev="$$subdir $$rev"; \
270          fi; \
271        done; \
272        rev="$$rev ."; \
273        target=`echo $@ | sed s/-recursive//`; \
274        for subdir in $$rev; do \
275          echo "Making $$target in $$subdir"; \
276          if test "$$subdir" = "."; then \
277            local_target="$$target-am"; \
278          else \
279            local_target="$$target"; \
280          fi; \
281          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
282          || eval $$failcom; \
283        done && test -z "$$fail"
284tags-recursive:
285        list='$(SUBDIRS)'; for subdir in $$list; do \
286          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
287        done
288ctags-recursive:
289        list='$(SUBDIRS)'; for subdir in $$list; do \
290          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
291        done
292
293ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
294        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
295        unique=`for i in $$list; do \
296            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
297          done | \
298          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
299              END { if (nonempty) { for (i in files) print i; }; }'`; \
300        mkid -fID $$unique
301tags: TAGS
302
303TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
304                $(TAGS_FILES) $(LISP)
305        set x; \
306        here=`pwd`; \
307        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
308          include_option=--etags-include; \
309          empty_fix=.; \
310        else \
311          include_option=--include; \
312          empty_fix=; \
313        fi; \
314        list='$(SUBDIRS)'; for subdir in $$list; do \
315          if test "$$subdir" = .; then :; else \
316            test ! -f $$subdir/TAGS || \
317              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
318          fi; \
319        done; \
320        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
321        unique=`for i in $$list; do \
322            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
323          done | \
324          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
325              END { if (nonempty) { for (i in files) print i; }; }'`; \
326        shift; \
327        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
328          test -n "$$unique" || unique=$$empty_fix; \
329          if test $$# -gt 0; then \
330            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
331              "$$@" $$unique; \
332          else \
333            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
334              $$unique; \
335          fi; \
336        fi
337ctags: CTAGS
338CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
339                $(TAGS_FILES) $(LISP)
340        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
341        unique=`for i in $$list; do \
342            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
343          done | \
344          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
345              END { if (nonempty) { for (i in files) print i; }; }'`; \
346        test -z "$(CTAGS_ARGS)$$unique" \
347          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
348             $$unique
349
350GTAGS:
351        here=`$(am__cd) $(top_builddir) && pwd` \
352          && $(am__cd) $(top_srcdir) \
353          && gtags -i $(GTAGS_ARGS) "$$here"
354
355distclean-tags:
356        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
357
358distdir: $(DISTFILES)
359        $(am__remove_distdir)
360        test -d "$(distdir)" || mkdir "$(distdir)"
361        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
362        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
363        list='$(DISTFILES)'; \
364          dist_files=`for file in $$list; do echo $$file; done | \
365          sed -e "s|^$$srcdirstrip/||;t" \
366              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
367        case $$dist_files in \
368          */*) $(MKDIR_P) `echo "$$dist_files" | \
369                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
370                           sort -u` ;; \
371        esac; \
372        for file in $$dist_files; do \
373          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
374          if test -d $$d/$$file; then \
375            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
376            if test -d "$(distdir)/$$file"; then \
377              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
378            fi; \
379            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
380              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
381              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
382            fi; \
383            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
384          else \
385            test -f "$(distdir)/$$file" \
386            || cp -p $$d/$$file "$(distdir)/$$file" \
387            || exit 1; \
388          fi; \
389        done
390        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
391          if test "$$subdir" = .; then :; else \
392            test -d "$(distdir)/$$subdir" \
393            || $(MKDIR_P) "$(distdir)/$$subdir" \
394            || exit 1; \
395          fi; \
396        done
397        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
398          if test "$$subdir" = .; then :; else \
399            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
400            $(am__relativize); \
401            new_distdir=$$reldir; \
402            dir1=$$subdir; dir2="$(top_distdir)"; \
403            $(am__relativize); \
404            new_top_distdir=$$reldir; \
405            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
406            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
407            ($(am__cd) $$subdir && \
408              $(MAKE) $(AM_MAKEFLAGS) \
409                top_distdir="$$new_top_distdir" \
410                distdir="$$new_distdir" \
411                am__remove_distdir=: \
412                am__skip_length_check=: \
413                am__skip_mode_fix=: \
414                distdir) \
415              || exit 1; \
416          fi; \
417        done
418        -test -n "$(am__skip_mode_fix)" \
419        || find "$(distdir)" -type d ! -perm -755 \
420                -exec chmod u+rwx,go+rx {} \; -o \
421          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
422          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
423          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
424        || chmod -R a+r "$(distdir)"
425dist-gzip: distdir
426        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
427        $(am__remove_distdir)
428dist-bzip2: distdir
429        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
430        $(am__remove_distdir)
431
432dist-lzma: distdir
433        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
434        $(am__remove_distdir)
435
436dist-xz: distdir
437        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
438        $(am__remove_distdir)
439
440dist-tarZ: distdir
441        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
442        $(am__remove_distdir)
443
444dist-shar: distdir
445        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
446        $(am__remove_distdir)
447
448dist-zip: distdir
449        -rm -f $(distdir).zip
450        zip -rq $(distdir).zip $(distdir)
451        $(am__remove_distdir)
452
453dist dist-all: distdir
454        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
455        $(am__remove_distdir)
456
457# This target untars the dist file and tries a VPATH configuration.  Then
458# it guarantees that the distribution is self-contained by making another
459# tarfile.
460distcheck: dist
461        case '$(DIST_ARCHIVES)' in \
462        *.tar.gz*) \
463          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
464        *.tar.bz2*) \
465          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
466        *.tar.lzma*) \
467          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
468        *.tar.xz*) \
469          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
470        *.tar.Z*) \
471          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
472        *.shar.gz*) \
473          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
474        *.zip*) \
475          unzip $(distdir).zip ;;\
476        esac
477        chmod -R a-w $(distdir); chmod a+w $(distdir)
478        mkdir $(distdir)/_build
479        mkdir $(distdir)/_inst
480        chmod a-w $(distdir)
481        test -d $(distdir)/_build || exit 0; \
482        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
483          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
484          && am__cwd=`pwd` \
485          && $(am__cd) $(distdir)/_build \
486          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
487            $(DISTCHECK_CONFIGURE_FLAGS) \
488          && $(MAKE) $(AM_MAKEFLAGS) \
489          && $(MAKE) $(AM_MAKEFLAGS) dvi \
490          && $(MAKE) $(AM_MAKEFLAGS) check \
491          && $(MAKE) $(AM_MAKEFLAGS) install \
492          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
493          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
494          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
495                distuninstallcheck \
496          && chmod -R a-w "$$dc_install_base" \
497          && ({ \
498               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
499               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
500               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
501               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
502                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
503              } || { rm -rf "$$dc_destdir"; exit 1; }) \
504          && rm -rf "$$dc_destdir" \
505          && $(MAKE) $(AM_MAKEFLAGS) dist \
506          && rm -rf $(DIST_ARCHIVES) \
507          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
508          && cd "$$am__cwd" \
509          || exit 1
510        $(am__remove_distdir)
511        @(echo "$(distdir) archives ready for distribution: "; \
512          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
513          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
514distuninstallcheck:
515        @$(am__cd) '$(distuninstallcheck_dir)' \
516        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
517           || { echo "ERROR: files left after uninstall:" ; \
518                if test -n "$(DESTDIR)"; then \
519                  echo "  (check DESTDIR support)"; \
520                fi ; \
521                $(distuninstallcheck_listfiles) ; \
522                exit 1; } >&2
523distcleancheck: distclean
524        @if test '$(srcdir)' = . ; then \
525          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
526          exit 1 ; \
527        fi
528        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
529          || { echo "ERROR: files left in build directory after distclean:" ; \
530               $(distcleancheck_listfiles) ; \
531               exit 1; } >&2
532check-am: all-am
533check: check-recursive
534all-am: Makefile
535installdirs: installdirs-recursive
536installdirs-am:
537install: install-recursive
538install-exec: install-exec-recursive
539install-data: install-data-recursive
540uninstall: uninstall-recursive
541
542install-am: all-am
543        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
544
545installcheck: installcheck-recursive
546install-strip:
547        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
548          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
549          `test -z '$(STRIP)' || \
550            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
551mostlyclean-generic:
552
553clean-generic:
554
555distclean-generic:
556        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
557        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
558
559maintainer-clean-generic:
560        @echo "This command is intended for maintainers to use"
561        @echo "it deletes files that may require special tools to rebuild."
562clean: clean-recursive
563
564clean-am: clean-generic mostlyclean-am
565
566distclean: distclean-recursive
567        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
568        -rm -f Makefile
569distclean-am: clean-am distclean-generic distclean-tags
570
571dvi: dvi-recursive
572
573dvi-am:
574
575html: html-recursive
576
577html-am:
578
579info: info-recursive
580
581info-am:
582
583install-data-am:
584
585install-dvi: install-dvi-recursive
586
587install-dvi-am:
588
589install-exec-am:
590
591install-html: install-html-recursive
592
593install-html-am:
594
595install-info: install-info-recursive
596
597install-info-am:
598
599install-man:
600
601install-pdf: install-pdf-recursive
602
603install-pdf-am:
604
605install-ps: install-ps-recursive
606
607install-ps-am:
608
609installcheck-am:
610
611maintainer-clean: maintainer-clean-recursive
612        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
613        -rm -rf $(top_srcdir)/autom4te.cache
614        -rm -f Makefile
615maintainer-clean-am: distclean-am maintainer-clean-generic
616
617mostlyclean: mostlyclean-recursive
618
619mostlyclean-am: mostlyclean-generic
620
621pdf: pdf-recursive
622
623pdf-am:
624
625ps: ps-recursive
626
627ps-am:
628
629uninstall-am:
630
631.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
632        install-am install-strip tags-recursive
633
634.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
635        all all-am am--refresh check check-am clean clean-generic \
636        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
637        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
638        distclean distclean-generic distclean-tags distcleancheck \
639        distdir distuninstallcheck dvi dvi-am html html-am info \
640        info-am install install-am install-data install-data-am \
641        install-dvi install-dvi-am install-exec install-exec-am \
642        install-html install-html-am install-info install-info-am \
643        install-man install-pdf install-pdf-am install-ps \
644        install-ps-am install-strip installcheck installcheck-am \
645        installdirs installdirs-am maintainer-clean \
646        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
647        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
648
649
650# Tell versions [3.59,3.63) of GNU make to not export all variables.
651# Otherwise a system limit (for SysV at least) may be exceeded.
652.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.